Description

Supportanfrage

I am working with adtf file libraries?

When I try to load a adtf2 dat file using adtf file library 0.6.1.

Execution:

$fileaccess.exe "samplenew.dat" ac.csv

 I am getting the following error:

"no type deserializer for 'adtf.type.video_compressed.adtf2_support.serialization.adtf.cid' availa

ble" 

 Does ifhd support adtf2 data by default? If yes! Then how?

Is there a example where ifhd is used to read adtf2 data ?

Cmake isn't able to create visual studio solution for deserializer and ce_modules.

Is SDL and QT packages are mandatory for deserializer?

 No, the deserializer (adtffileplugin) itself does not require Qt (or SDL).

It is only restricted because if you do not want to build UI, you not need (un)compressed video data.

But we changed it to ADTF 3.7.0, you can edit the CMake file and remove the Qt check already.

But if you need for other components, we deliver the development packages here.

Have a look at https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html

Is there a user manual on how to build ADTF 3.6.3?

I think you mean the examples because ADTF is not open source and you only can (re)compile our demos.

Here is a documentation page how to create a solution and recompile the examples:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_cmake_build_examples.html

Is there any reason why you want to recompile them ?

Did you know that different to ADTF 2.x we deliver also the binaries for our demos

./src/examples/bin/

./src/examples/bin/debug

You can use them precompiled and ready to go.

Same for all other (open source) libraries and tools, you will find also the binaries.

Like for ifhd: Within adtf delilvery
ADTF <= 3.6.x -> ./3rdparty

ADTF >= 3.7.x -> ./pkg

or here in the download center

And Is there a example project of fileaccess with built-in adtffileplugin of adtf2_compressed_video_deserializer?

 The fileaccess example is prepared to load addtional adtffileplugins to extend the reader functionality with additional deserializer.

Have a look at the source code and the help, just extend your call with addtional adtffileplugins as arguments:

fileaccess <adtfdat> <csv> [<adtffileplugin> ...]

 

IMPORTANT

ADTF 3.6.x depends on IFHD 0.5.0

ADTF 3.7.x depends on IFHD 0.6.1

IFHD 0.5.0 and IFHD 0.6.1 are not compatible !

This means to use the deserialzer from ADTF 3.6.x you have to use IFHD 0.5.0 !

If you want to use IFHD 0.6.1, you have to wait for the deserialzer from ADTF 3.7.0.

I will attach the deserialzer from ADTF 3.7.0, but it is my local build (Windows only), just for your convinience.

Of course you can adapt the example to changes of IFHD 0.6.1 and recompile it as well.

no type deserializer for 'adtf.type.can.adtf2_support.serialization.adtf.cid' available

 I've to use plugin for CAN stream also.?

 Yes, CAN/CAN FD/Flexray are part of the Device Toolbox, XCP of the Calibration Toolbox.

You will find in each the related deserializer adtffileplugin to make adtf2 recordings work.

Note again:

Device TB 3.1.0 / Calibration TB 3.1.0 = IFHD 0.5.0

(upcoming) Device TB 3.2.0 / (upcoming) Calibration TB 3.2.0 = IFHD 0.6.1

History

#1 - 2020-03-27 08:55 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to FileLibrary::Common

Yes the File library does support ADTF2 data.

Your dat file seems to contains compressed video format.

You will need the adtf2_compressed_video_deserializer adtffileplugin from ADTF 3.6.3 (because of the compressed video data)

You can find the needed data in the ADTF 3.6.x installation path at: \src\examples\src\adtf\deserializer\adtf2_compressed_video_deserializer

@Martin: Can you please give details if needed?

#2 - 2020-03-30 06:51 - hidden

Thank you for the reply.

Cmake isn't able to create visual studio solution for deserializer and ce_modules.

Is SDL and QT packages are mandatory for deserializer?

Is there a user manual on how to build ADTF 3.6.3?

And Is there a example project of fileaccess with built-in adtffileplugin of adtf2_compressed_video_deserializer?

Regards

Sharath

#3 - 2020-03-31 09:08 - hidden
- File adtf_370_compressed_video_deserialzer.zip added

- Status changed from In Progress to Customer Feedback Required

Hi Sharath,

Cmake isn't able to create visual studio solution for deserializer and ce_modules.

Is SDL and QT packages are mandatory for deserializer?

 No, the deserializer (adtffileplugin) itself does not require Qt (or SDL).

It is only restricted because if you do not want to build UI, you not need (un)compressed video data.

But we changed it to ADTF 3.7.0, you can edit the CMake file and remove the Qt check already.

But if you need for other components, we deliver the development packages here.

Have a look at https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html

Is there a user manual on how to build ADTF 3.6.3?

I think you mean the examples because ADTF is not open source and you only can (re)compile our demos.

Here is a documentation page how to create a solution and recompile the examples:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_cmake_build_examples.html

Is there any reason why you want to recompile them ?

Did you know that different to ADTF 2.x we deliver also the binaries for our demos

./src/examples/bin/

./src/examples/bin/debug

You can use them precompiled and ready to go.

Same for all other (open source) libraries and tools, you will find also the binaries.

Like for ifhd: Within adtf delilvery

ADTF <= 3.6.x -> ./3rdparty

ADTF >= 3.7.x -> ./pkg

or here in the download center

And Is there a example project of fileaccess with built-in adtffileplugin of adtf2_compressed_video_deserializer?

 The fileaccess example is prepared to load addtional adtffileplugins to extend the reader functionality with additional deserializer.

Have a look at the source code and the help, just extend your call with addtional adtffileplugins as arguments:

fileaccess <adtfdat> <csv> [<adtffileplugin> ...]

 

IMPORTANT

ADTF 3.6.x depends on IFHD 0.5.0

ADTF 3.7.x depends on IFHD 0.6.1

IFHD 0.5.0 and IFHD 0.6.1 are not compatible !

This means to use the deserialzer from ADTF 3.6.x you have to use IFHD 0.5.0 !

If you want to use IFHD 0.6.1, you have to wait for the deserialzer from ADTF 3.7.0.

I will attach the deserialzer from ADTF 3.7.0, but it is my local build (Windows only), just for your convinience.

Of course you can adapt the example to changes of IFHD 0.6.1 and recompile it as well.

#4 - 2020-04-01 03:59 - hidden

Hi Florian,

Thanks for the details reply.

For some dat files I see the error as

no type deserializer for 'adtf.type.can.adtf2_support.serialization.adtf.cid' available

 Do I've to use plugin for CAN stream also.?
#5 - 2020-04-01 10:44 - hidden

Hi Sharath,

I've to use plugin for CAN stream also.?

 Yes, CAN/CAN FD/Flexray are part of the Device Toolbox, XCP of the Calibration Toolbox.

You will find in each the related deserializer adtffileplugin to make adtf2 recordings work.

Note again:

Device TB 3.1.0 / Calibration TB 3.1.0 = IFHD 0.5.0

(upcoming) Device TB 3.2.0 / (upcoming) Calibration TB 3.2.0 = IFHD 0.6.1

#6 - 2020-04-06 08:45 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#7 - 2020-04-06 11:02 - hidden

Hi Florian,

Thanks for all the inputs.

I was able to read dat file using fileaccess sample

fileaccess.exe <adtfdat> <csv> adtf_devtb_2_deserializer.adtffileplugin demo_adtf2_compressed_video_deserializ

er.adtffileplugin

 Is there possibility of having static libs of adtffileplugin?

So that it can be integrated into executable..

#8 - 2020-04-06 11:24 - hidden

Hi Sharath,

Is there possibility of having static libs of adtffileplugin?

 No, that is the sense of plugins, to extend during runtime.

If you need a none generic solution, just integrate the code for deserialization or create a common (non-adtffileplugin) static library and link against.

But that is outside our supported scope.

I would suggest to place the adtffileplugins next to your executable, adapt the executable code and load them mandatory.

#9 - 2020-04-06 13:53 - hidden

Hi Florian,

No, that is the sense of plugins, to extend during runtime.

If you need a none generic solution, just integrate the code for deserialization or create a common (non-adtff

ileplugin) static library and link against.

 I found the Code for deserialization of Compressed video in ADTF 3.6.3

src\examples\src\adtf\deserializer\adtf2_compressed_video_deserializer

But Where can I find code for CAN deserialization plugin (adtf_devtb_2_deserializer.adtffileplugin)?

#10 - 2020-04-07 08:06 - hidden

Hi Sharath,

But Where can I find code for CAN deserialization plugin (adtf_devtb_2_deserializer.adtffileplugin)?

I did not say you get the code, what I said was:

(Re)write the code yourself

or take care to mandatory load the adtfplugins

Anyway, the source code of adtf_devtb_2_deserializer will be delivered with upcoming Device TB 3.2.0, so please be patent for a few weeks.

Note:

It is no good solution because if we change the code for any reason, you do not automatic get the changes.

We will recommend to place the adtffileplugins next or reletaive to your executable and load them mandatory and automatic.
Then you have the option to exchange the adtffileplugins if required.

You can also do this with additonal reader/processors for any import/export interaction and provide convinience user command line calls within your

executable (or UI)

#11 - 2020-07-07 16:16 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level

#12 - 2020-07-07 16:41 - hidden

- Status changed from To Be Closed to Closed

Files

adtf_370_compressed_video_deserialzer.zip 67 KB 2020-03-31 hidden
